Bug 472059 - Add OLPC keyboard patches to mainline
Add OLPC keyboard patches to mainline
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-11-18 10:26 EST by Peter Robinson
Modified: 2008-11-24 04:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 04:15:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 18645 None None None Never

  None (edit)
Description Peter Robinson 2008-11-18 10:26:06 EST
It would be great to be able to add the missing patches from cvs OLPC-3 branch. This would allow those keyboard layouts to be supported on Fedora on the XO as well as allowing OLPC to use the mainline xkeyboard-config package. One of the OLPC patches is already included. The remaining patches as far as I can see are:

Patch3: xkeyboard-config-olpc-tr.patch
Patch4: xkeyboard-config-olpc-ca-fr-typofix.patch
Patch5: xkeyboard-config-olpc-et.patch
Patch6: xkeyboard-config-olpc-af.patch
Patch7: xkeyboard-config-olpc-it.patch

Not sure exactly what the procedure is to get them in the main upstream for xkeyboard-config
Comment 1 Peter Hutterer 2008-11-20 17:45:38 EST
Just file a bug report on bugs.freedesktop.org, component xkeyboard-config. svu is usually quite responsive. When you filed the bug upstream, please put a reference in here so we can track progress of it.
Comment 2 Peter Robinson 2008-11-20 18:22:27 EST
Filed the following bug upstream. 

https://bugs.freedesktop.org/show_bug.cgi?id=18645
Comment 4 Peter Robinson 2008-11-23 14:57:14 EST
The majority of the fixes have been applied upstream in the afore mentioned bug
Comment 5 Matěj Cepl 2008-11-24 04:15:56 EST
OK, closing as UPSTREAM. We will get the patches from the upstream repository.

Note You need to log in before you can comment on or make changes to this bug.